ICSI
Introduction
This API allows patrons to search for a specific member type and member number. The API call is made using the HTTP POST method with a JSON payload containing the member type and member number to search for. The API requires an access token for authentication, which should be included in the Authorization header of the request. This document serves as an introduction to the Signzy v2 API and provides information on how to use the ICSIS endpoint to search for member information.
Sample Curl
curl --request POST \
--url 'https://preproduction.signzy.tech/api/v2/patrons/..your-patron-id../icsis' \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data '{"essentials":{"memberType":"..member-type-to-search-for..","memberNumber":".member-number-to-search-for.."}}'Input Parameters
Parameter name | Type | Required | Description |
|---|---|---|---|
url | string | Yes | The URL of the API endpoint. |
patron-id | string | Yes | Your unique patron ID for accessing the API. |
access-token | string | Yes | The access token for authenticating the API call. |
Accept | string | No | The media type(s) that are acceptable for the response. |
Accept-Language | string | No | The preferred language of the response. |
content-type | string | Yes | The media type of the request body. |
memberType | string | Yes | The type of member to search for. |
memberNumber | string | Yes | The number of the member to search for. |
Sample Response
{
"result": {
"organization": "...organization...",
"city": "...city...",
"address": "...address...",
"type": "...type...",
"splitAddress": {
"state": [
[]
],
"district": [],
"city": [],
"pincode": "...pincode...",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": "...addressLine..."
}
}
}Output Parameters
Parameter | Description |
|---|---|
result.organization | Name of the organization |
result.city | City where the organization is located |
result.address | Complete address of the organization |
result.type | Type of the organization |
result.splitAddress.state | State(s) where the organization is located |
result.splitAddress.district | District(s) where the organization is located |
result.splitAddress.city | City(s) where the organization is located |
result.splitAddress.pincode | Pincode of the organization |
result.splitAddress.country | Country code(s) of the organization |
result.splitAddress.addressLine | Address line of the organization |
Status Codes
CODE | MESSAGE |
|---|---|
200 | OK |
404 | Not found |
400 | Invalid Data |

Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].